package org.netkernel.xml.accessor;

import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class XMLTidyAccessor extends StandardAccessorImpl
{
	public XMLTidyAccessor()
	{	declareThreadSafe();
	}
	
	public void onSource(INKFRequestContext aContext) throws Exception
	{	INKFRequest req=aContext.createRequest("active:xslt");
		req.addArgument("operator", "res:/org/netkernel/xml/doc/XMLTidy.xsl");
		req.addArgument("operand", "arg:operand");
		req.setRepresentationClass(aContext.getThisRequest().getRepresentationClass());
		INKFResponseReadOnly resp=aContext.issueRequestForResponse(req);
		aContext.createResponseFrom(resp);
	}
}